Bug 243720 - rpmbuild doesn't allow passing -F<n> option to %patch
Summary: rpmbuild doesn't allow passing -F<n> option to %patch
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: rpm (Show other bugs)
(Show other bugs)
Version: rawhide
Hardware: All Linux
low
low
Target Milestone: ---
Assignee: Panu Matilainen
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-06-11 15:01 UTC by Panu Matilainen
Modified: 2007-11-30 22:12 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-06-26 07:52:31 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Panu Matilainen 2007-06-11 15:01:09 UTC
Spotted from davej's blog:
"So far, nothing really amazing, just a rebase to 2.6.22rc4, and some specfile
jiggery-pokery to move away from using rpm's %patch directive to a hand crafted
macro that allows patch application with -F1
(%patch won't let you pass arbitrary flags to patch(1), and the code in rpm to
handle this made my eyes bleed).
The benefits of patches with no fuzz should be obvious, the diffs end up
applying in the right places. This has caused problems in the past to the extent
where we had one bug that made the kernel not boot."

Comment 1 Jeff Johnson 2007-06-19 18:52:08 UTC
Very sad that a kernel developer's eyes bleed so much that he can't read "man 1 patch" anymore.

UPSTREAM and the other fork too, fixed.

Comment 2 Panu Matilainen 2007-06-26 07:52:31 UTC
Fixed in next rawhide push by rpm 4.4.2.1-rc1 


Note You need to log in before you can comment on or make changes to this bug.